%% vid7
% This example implements a callback function (display_frame)
% for a _frames-acquired_ event. This callback function enables
% you to monitor the frames being acquired by viewing a sample
% frame periodically.

%%

% Create a video input object.

vid = videoinput('winvideo',1,'YUY2_640x480');
set(vid,'ReturnedColorSpace','rgb');

%%

% configure property values

set(vid,'FramesPerTrigger', 30);
set(vid,'TriggerRepeat', 4);
set(vid,'FramesAcquiredFcnCount', 5);
set(vid,'FramesAcquiredFcn', {'display_frame'});

%%

% Acquire data

start(vid);
pause(3);

%%


% bring data into MATLAB workspace

data = getdata(vid);
disp(size(data));


%%

% cleanup

delete(vid);
clear vid;
